Skip to main content
POST
/
api
/
v1
/
macros
/
{macro_id}
/
test
Test Macro
curl --request POST \
  --url https://api.example.com/api/v1/macros/{macro_id}/test \
  --header 'Content-Type: application/json' \
  --data '
{
  "parameters": [
    "<string>"
  ]
}
'
{
  "execution_time": 123,
  "result": "<string>",
  "rows_affected": 0
}

Headers

authorization
string | null

Path Parameters

macro_id
integer
required

Body

application/json

Schema for testing a macro.

parameters
string[]

Array of test values to pass to the macro

Response

Successful Response

Schema for macro test response.

execution_time
number
required

Execution time in milliseconds

result
string | null

The result of the macro execution

rows_affected
integer
default:0

Number of rows affected (always 0 for SELECT)